Namespace
elastic
Image / Tag
filebeat:sha256-284f36d345a9d0f6cac0579930c70e7ff54b2960517c6cfdf77843e955221110
Content Digest
sha256:284f36d345a9d0f6cac0579930c70e7ff54b2960517c6cfdf77843e955221110
Details
Created

2025-07-23 20:24:12 UTC

Size

124 MB

Content Digest
Labels
  • architecture
    x86_64
  • build-date
    2025-07-15T13:55:15
  • com.redhat.component
    ubi9-minimal-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • distribution-scope
    public
  • io.buildah.version
    1.41.0-dev
  • io.k8s.description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • io.k8s.display-name
    Filebeat image
  • io.openshift.expose-services
  • io.openshift.tags
    minimal rhel9
  • license
    Elastic License
  • maintainer
    infra@elastic.co
  • name
    filebeat
  • org.label-schema.build-date
    2025-07-23T20:18:07Z
  • org.label-schema.license
    Elastic License
  • org.label-schema.name
    filebeat
  • org.label-schema.schema-version
    1.0
  • org.label-schema.url
    https://www.elastic.co/beats/filebeat
  • org.label-schema.vcs-ref
    c53b4a051bee29d3e5b3cda16753ea18d47e339e
  • org.label-schema.vcs-url
    github.com/elastic/beats/v7
  • org.label-schema.vendor
    Elastic
  • org.label-schema.version
    9.1.0
  • org.opencontainers.image.authors
    infra@elastic.co
  • org.opencontainers.image.created
    2025-07-23T20:18:07Z
  • org.opencontainers.image.licenses
    Elastic License
  • org.opencontainers.image.title
    Filebeat
  • org.opencontainers.image.vendor
    Elastic
  • release
    1
  • summary
    filebeat
  • url
    https://www.elastic.co/beats/filebeat
  • vcs-ref
    49def32f29d405d4663060d62ea5437538e3fbfc
  • vcs-type
    git
  • vendor
    Elastic
  • version
    9.1.0

Environment
ELASTIC_CONTAINER

true

GODEBUG

madvdontneed=1

LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE

/

PATH

/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

container

oci


Layers

[#000] sha256:441002b166d5ec0f991ef7201b468389770a79b41169f345b0f38f5d6db6ef06 - 30.73% (38.1 MB)

[#001] sha256:033790586abc5981aa2da6e499e75e094fe06fed192697212e09c5fd3e5eaed5 - 0.01% (9.54 KB)

[#002] sha256:ac3479fe3e1b833ed0601aa42437a3e499ae6709ae14e3dad3952e0f9d638669 - 0.0% (609 Bytes)

[#003] sha256:4ba5c264fe7740af859cf29d104e16be0e2306c1b48c7bfa4599487d8bb63025 - 0.0% (619 Bytes)

[#004] sha256:429dff78fa79c9d28139dbea5f7e1a858359a6167f1706a480548fa305498c02 - 54.7% (67.8 MB)

[#005] sha256:92eba2f5be234de8aa54459bc585fbafd0b7364694ee0b405d27afdd405f76b7 - 0.0% (126 Bytes)

[#006] sha256:367c9e1b68f9fe4056ef445c9cedb3ec2015b93fa2a240acfb716e181f26ff37 - 0.0% (5.47 KB)

[#007] sha256:76f9850ee520fee94ea0da37a1176b4530136ac7e8f835b82de616b40777547a - 0.18% (231 KB)

[#008] sha256:0baaf48914a705237d14ecd84fc4bd451cf49ca68d1f8206e7a4b19a5fd43957 - 0.0% (515 Bytes)

[#009] sha256:993bdd281cfc2aa119b87367cbd500c27e1d758fda33f1a427f28ac4200777df - 0.0% (1.12 KB)

[#010] sha256:da29aac92ee495273fcd7a9f1e19a09ea3e042180654d446c682eb6cb950d589 - 14.37% (17.8 MB)

[#011] sha256:4ca545ee6d5db5c1170386eeb39b2ffe3bd46e5d4a73a9acbebc805f19607eb3 - 0.0% (42 Bytes)


History
2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) LABEL url="https://www.redhat.com"

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9-minimal" version="9.6" distribution-scope="public"

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) ENV container oci

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) COPY dir:d7be74d0418e000f9c8e9c530ac1f30fb34314bf4358ea4867bfdbbb9c1266b5 in /

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) COPY file:b37d593713ee21ad52a4cd1424dc019a24f7966f85df0ac4b86d234302695328 in /etc/yum.repos.d/.

2025-07-15 13:55:30 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-07-15 13:55:31 UTC

/bin/sh -c #(nop) COPY file:58cc94f5b3b2d60de2c77a6ed4b1797dcede502ccdb429a72e7a72d994235b3c in /usr/share/buildinfo/content-sets.json

2025-07-15 13:55:31 UTC

/bin/sh -c #(nop) LABEL "build-date"="2025-07-15T13:55:15" "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="49def32f29d405d4663060d62ea5437538e3fbfc" "release"="1752587672"

2025-07-23 20:23:54 UTC (buildkit.dockerfile.v0)

LABEL org.label-schema.build-date=2025-07-23T20:18:07Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.1.0 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=c53b4a051bee29d3e5b3cda16753ea18d47e339e io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2025-07-23T20:18:07Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.1.0 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.

2025-07-23 20:23:54 UTC (buildkit.dockerfile.v0)

ENV ELASTIC_CONTAINER=true

2025-07-23 20:23:54 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2025-07-23 20:23:54 UTC (buildkit.dockerfile.v0)

ENV GODEBUG=madvdontneed=1

2025-07-23 20:23:54 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit

2025-07-23 20:23:54 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit

2025-07-23 20:23:55 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit

2025-07-23 20:24:07 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat /usr/share/filebeat # buildkit

2025-07-23 20:24:07 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir /licenses # buildkit

2025-07-23 20:24:07 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit

2025-07-23 20:24:07 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit

2025-07-23 20:24:07 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit

2025-07-23 20:24:08 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit

2025-07-23 20:24:12 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2025-07-23 20:24:12 UTC (buildkit.dockerfile.v0)

USER 1000

2025-07-23 20:24:12 UTC (buildkit.dockerfile.v0)

ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/

2025-07-23 20:24:12 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/filebeat

2025-07-23 20:24:12 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]

2025-07-23 20:24:12 UTC (buildkit.dockerfile.v0)

CMD ["--environment" "container"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete